Subject: Re: popen problems
From: "Dan Armbrust" <[email-masked]>
To: "Jeff Hawk" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Fri, 4 May 2007 09:42:45 -0500
List-Id: <cygwin.cygwin.com>

I've tried both - I reran the installer and went back to the other
python it offered - 2.4.3 - I get the same problem with 2.5.

On 5/4/07, Jeff Hawk <[email-masked]> wrote:
>
>
> > -----Original Message-----
> > From: On Behalf
> > Of Dan Armbrust
> > Sent: Friday, May 04, 2007 9:36 AM
> > To: [email-masked]
> > Subject: popen problems
> >
> > I made the mistake of upgrading a cygwin install that was working.
> >
> > Now:
> >
> >  python
> > Python 2.4.3 (#1, May 18 2006, 07:40:45)
> > [GCC 3.3.3 (cygwin special)] on cygwin
> > Type "help", "copyright", "credits" or "license" for more information.
> > >>> import os.path
> > >>> os.popen('ls').readline()
> > Traceback (most recent call last):
> >   File "<stdin>", line 1, in ?
> > OSError: [Errno 13] Permission denied
> >
> >
> > What on earth happened?
> >
> > Any idea how I can fix this?  I can't open anything with popen from
> > python.
> >
>
>
> What did you actually upgrade?
>
>
> The current python version in Cygwin is 2.5 (yours is 2.4.3)
>
> --Jeff
>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/